# Yahoo! UI Library

### animation 2.8.2r1

Yahoo! UI Library > animation > YAHOO.util.AnimMgr
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.AnimMgr

Handles animation queueing and threading. Used by Anim and subclasses.

### Properties

#### delay - `Int`

Interval delay in milliseconds, defaults to fastest possible.

#### fps - `Int`

Base frame rate (frames per second). Arbitrarily high for better x-browser calibration (slower browsers drop more frames).

#### queue - `private Array`

The current queue of registered animation objects.

#### thread - `private Int`

Reference to the animation Interval.

#### tweenCount - `private Int`

The number of active animations.

### Methods

#### correctFrame

`private void correctFrame ( tween )`
On the fly frame correction to keep animation on time.

Parameters:
  `tween <Object>` The Anim instance being corrected.

#### registerElement

`void registerElement ( tween )`
Adds an animation instance to the animation queue. All animation instances must be registered in order to animate.

Parameters:
  `tween <object>` The Anim instance to be be registered

#### run

`void run ( )`
Called per Interval to handle each animation frame.

#### start

`void start ( )`
Starts the animation thread. Only one thread can run at a time.

#### stop

`void stop ( tween )`
Stops the animation thread or a specific animation instance.

Parameters:
  `tween <object>` A specific Anim instance to stop (optional) If no instance given, Manager stops thread and all animations.

#### unRegister

`private void unRegister ( tween , index )`
removes an animation instance from the animation queue. All animation instances must be registered in order to animate.

Parameters:
  `tween <object>` The Anim instance to be be registered
  `index <Int>` The index of the Anim instance

Copyright © 2010 Yahoo! Inc. All rights reserved.